Package twisted :: Package python :: Module threadpool |
[frames | no frames]

## Module twisted.python.threadpool

twisted.threadpool: a pool of threads to which we dispatch tasks.

If you want integration with Twisted's event loop then use twisted.internet.threadtask instead.

Classes
`ThreadPool` | This class (hopefully) generalizes the functionality of a pool of threads to which work can be dispatched.
`ThreadSafeList` | In Jython 2.1 lists aren't thread-safe, so this wraps it.

Variable Summary
`WorkerStop` | `WorkerStop` = `<twisted.python.threadpool.WorkerStop insta...`

Variable Details

    ### WorkerStop Type: `WorkerStop` Value:
        <twisted.python.threadpool.WorkerStop instance at 0x8897a1c>

Generated by Epydoc 2.0 on Sat Oct 25 00:55:12 2003 | http://epydoc.sf.net